Package org.apache.tools.ant.filters

## Class BaseParamFilterReader

- java.lang.Object
- - java.io.Reader
  - - java.io.FilterReader
    - - org.apache.tools.ant.filters.BaseFilterReader
      - - org.apache.tools.ant.filters.BaseParamFilterReader

All Implemented Interfaces:
  `java.io.Closeable`, `java.lang.AutoCloseable`, `java.lang.Readable`, `Parameterizable`

Direct Known Subclasses:
  `ConcatFilter`, `EscapeUnicode`, `FixCrLfFilter`, `HeadFilter`, `LineContains`, `LineContainsRegExp`, `PrefixLines`, `ReplaceTokens`, `SortFilter`, `StripLineBreaks`, `StripLineComments`, `SuffixLines`, `TabsToSpaces`, `TailFilter`

    public abstract class BaseParamFilterReader
    extends BaseFilterReader
    implements Parameterizable

Parameterized base class for core filter readers.

### Field Summary

### Fields inherited from class java.io.FilterReader

`in`

### Fields inherited from class java.io.Reader

`lock`

### Constructor Summary

Constructors
`BaseParamFilterReader()` Constructor for "dummy" instances.
`BaseParamFilterReader​(java.io.Reader in)` Creates a new filtered reader.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Parameter[]` `getParameters()` Returns the parameters to be used by this filter.
`void` `setParameters​(Parameter... parameters)` Sets the parameters used by this filter, and sets the filter to an uninitialized status.

### Methods inherited from class org.apache.tools.ant.filters.BaseFilterReader

`getInitialized, getProject, read, readFully, readLine, setInitialized, setProject, skip`

### Methods inherited from class java.io.FilterReader

`close, mark, markSupported, read, ready, reset`

### Methods inherited from class java.io.Reader

`nullReader, read, read, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseParamFilterReader

    public BaseParamFilterReader()

Constructor for "dummy" instances.

See Also:
  `BaseFilterReader()`

#### BaseParamFilterReader

    public BaseParamFilterReader​(java.io.Reader in)

Creates a new filtered reader.

Parameters:
  `in` - A Reader object providing the underlying stream. Must not be `null`.

### Method Detail

#### setParameters

    public final void setParameters​(Parameter... parameters)

Sets the parameters used by this filter, and sets the filter to an uninitialized status.

Specified by:
  `setParameters` in interface `Parameterizable`
Parameters:
  `parameters` - The parameters to be used by this filter. Should not be `null`.

#### getParameters

    protected final Parameter[] getParameters()

Returns the parameters to be used by this filter.

Returns:
  the parameters to be used by this filter